What internet browser do I need?

Gewijzigd op Wed, 07 Dec 2022 om 04:41 PM

You need a modern browser to properly use the Mirro-platform. This is also the case on your phone. We support Mozilla Firefox, Microsoft Edge, Google Chrome and Safari. Also make sure you have the most recent version of your browser.

Was dit artikel nuttig?

Dat is fantastisch!

Hartelijk dank voor uw beoordeling

Sorry dat we u niet konden helpen

Hartelijk dank voor uw beoordeling

Laat ons weten hoe we dit artikel kunnen verbeteren!

Selecteer tenminste een van de redenen

Feedback verzonden

We stellen uw moeite op prijs en zullen proberen het artikel te verbeteren